From 7023f412093e1c17203c9959e929ad57557006f5 Mon Sep 17 00:00:00 2001
From: Michael Weylandt <michael.weylandt@gmail.com>
Date: Sun, 6 Apr 2014 21:37:12 -0400
Subject: [PATCH 2/2] org.el: Remove =, +, and ; from org-link-escape-chars

* org.el (org-link-escape-chars): Remove =, +, and ;

=, +, and ; are all valid URI characters (RFC 3986) and don't break
org's syntax so there's no need to escape them in link handling.

This fixes, e.g.,

(org-insert-link nil "http://google.com/search?q=orgmode" "Org mode")

which previously would produce an invalid URI in both the org file and
exported documents.

TINYCHANGE
---
 lisp/org.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/org.el b/lisp/org.el
index 52ac8dd..f883f56 100644
--- a/lisp/org.el
+++ b/lisp/org.el
@@ -9740,7 +9740,7 @@ according to FMT (default from `org-email-link-description-format')."
 	  "]"))
 
 (defconst org-link-escape-chars
-  '(?\ ?\[ ?\] ?\; ?\= ?\+)
+  '(?\ ?\[ ?\])
   "List of characters that should be escaped in link.
 This is the list that is used for internal purposes.")
 
-- 
1.8.3.4 (Apple Git-47)

